#
# spec file for package xvidcore
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname  4
Name:           xvidcore
Version:        1.3.4
Release:        3.1
Summary:        Xvid is a high quality MPEG-4 ASP video codec
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://www.xvid.org/
Source0:        http://downloads.xvid.org/downloads/xvidcore-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  nasm
BuildRequires:  pkgconfig
Requires:       lib%{name}%{soname} = %{version}
Provides:       xvid = %{version}
Obsoletes:      xvid < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xvid is a high quality MPEG-4 ASP video codec.
Xvid encoded MPEG-4 videos can be played back by other MPEG-4 implementations
decoders such as DivX, FFmpeg MPEG-4 or standalone DVD players capable of
MPEG-4 playback.

%description -l de
Xvid ist ein hochqualitativer MPEG-4 ASP Videocodec.
Xvid encodete MPEG-4 Videos können von anderen MPEG-4 Decodern wie DivX,
FFmpeg MPEG-4 oder separaten DVD-Playern mit MPEG-4 Implementierungen
wieder gegeben werden.

%package -n lib%{name}-devel
Summary:        Development files of XviD video codec
Summary(de):    Entwicklerdateien des XviD Video-Codecs
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{soname} = %{version}
Provides:       xvid-devel = %{version}
Obsoletes:      xvid-devel < %{version}

%description -n lib%{name}-devel
Xvid is a high quality MPEG-4 ASP video codec.
Development files of XviD video codec.

%description -n lib%{name}-devel -l de
Xvid ist ein hochqualitativer MPEG-4 ASP Videocodec.
Entwicklerdateien des XviD Video-Codecs.

%package -n lib%{name}%{soname}
Summary:        Shared library libxvidcore
Summary(de):    Bibliothek libxvidcore
Group:          Productivity/Multimedia/Video/Editors and Convertors

%description -n lib%{name}%{soname}
Xvid is a high quality MPEG-4 ASP video codec.
Shared library of XviD video codec.

%description -n lib%{name}%{soname} -l de
Xvid ist ein hochqualitativer MPEG-4 ASP Videocodec.
Bibliothek des XviD Video Codecs.

%prep
%setup -q -n "%{name}"

%build
cd build/generic
%configure
make %{?_smp_mflags}

%install
install -d "%{buildroot}%{_libdir}"
install -d "%{buildroot}%{_includedir}"

pushd 'build/generic/=build'
install *.so* "%{buildroot}%{_libdir}/"
popd #'build/generic/=build'

pushd src
install xvid.h "%{buildroot}%{_includedir}/"
popd #src

pushd "%{buildroot}%{_libdir}"
ln -s libxvidcore.so.%{soname}.* libxvidcore.so.%{soname}
ln -s libxvidcore.so.%{soname} libxvidcore.so
popd #libdir

%post   -n lib%{name}%{soname} -p /sbin/ldconfig
%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE README TODO

%files -n lib%{name}-devel
%defattr(644,root,root,755)
%doc CodingStyle doc examples
%{_includedir}/*.h
%{_libdir}/*.so

%files -n lib%{name}%{soname}
%defattr(644,root,root)
%{_libdir}/libxvidcore.so.%{soname}*

%changelog
* Tue Dec 20 2016 scarabeus@opensuse.org
- Cleanup a bit with spec-cleaner
* Sat Apr 23 2016 zaitor@opensuse.org
- Update to version 1.3.4:
  + xvidcore library:
  - Fix for multi-threading bug in case of input video height
    less than 16 pixels.
  - Enabled multi-threaded builds in MSVC by default.
  - Fixed bug in RGB24 to YV12 conversion.
  + VFW frontend: Minor GUI cosmetics.
  + DShow/MFT frontend:
  - Use of IMediaBuffer2D interface for faster rendering.
  - Fixed bug in thumbnail creation on Windows 10.
  - Added missing UYVY colorspace option to MFT decoder.
  - Minor GUI changes and new, nicer icons.
  - Tray icon fixed in MFT component.
* Sat May 10 2014 Manfred.Tremmel@iiv.de
- Update to xvid 1.3.3 (release)
* Mon Mar 12 2012 toddrme2178@gmail.com
- Cleaned up spec file formatting
- Added 32bit compatibility package (needed by
  gstreamer-0_10-plugins-bad-orig-addon-32bit)
* Tue May 31 2011 Manfred.Tremmel@iiv.de
- Update to xvid 1.3.2 (release)
* Fri Mar 25 2011 Manfred.Tremmel@iiv.de
- Update to xvid 1.3.1 (release)
* Sat Feb 26 2011 Manfred.Tremmel@iiv.de
- Update to xvid 1.3.0 (release)
* Sun Jun 27 2010 lnussel@suse.de
- cleanup
- enable no-exec stack
* Fri Dec 25 2009 Manfred.Tremmel@iiv.de
- no changes, just rebuild because of missing upload of 11.0 package
* Sat Aug 22 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Fri May 29 2009 Manfred.Tremmel@iiv.de
- Update to xvid 1.2.2 (release)
* Sun May 10 2009 Manfred.Tremmel@iiv.de
- reenabled asm part for x86_64 cpus, problems fixed with new nasm
* Tue Feb 24 2009 Manfred.Tremmel@iiv.de
- build x86_64 without nasm, problems on AMD64 cpus
* Thu Jan 22 2009 Manfred.Tremmel@iiv.de
- recompile with nasm in BuildRequires list (speed improvements)
* Sat Dec  6 2008 Manfred.Tremmel@iiv.de
- Update to xvid 1.2.1 (release)
* Fri Sep 19 2008 detlef@links2linux.de
- follow shared library package policy
* Tue Oct  2 2007 Manfred.Tremmel@iiv.de
- Update to xvid 1.1.3 (release)
- removed old 0.9.2 version (security reasons)
* Thu Nov  2 2006 Manfred.Tremmel@iiv.de
- Update to xvid 1.1.2 (release)
* Wed Nov  1 2006 Manfred.Tremmel@iiv.de
- Update to xvid 1.1.1 (release)
* Sat Dec 31 2005 Manfred.Tremmel@iiv.de
- Update to xvid 1.1.0 (release)
* Sun Dec 18 2005 Manfred.Tremmel@iiv.de
- recompile because of missing nasm at last build
* Thu Apr 28 2005 Manfred.Tremmel@iiv.de
- fixed the links, thanks to Balazs Melikant for the advice
* Wed Apr  6 2005 Manfred.Tremmel@iiv.de
- Update to xvid 1.1.0beta2
* Sun Mar 20 2005 Manfred.Tremmel@iiv.de
- Update to xvid 1.1.0beta1
* Mon Dec 20 2004 Manfred.Tremmel@iiv.de
- Update to xvid 1.0.3
- some cleanups
* Fri Nov 26 2004 detlef@dreichelt.de
- rebuild for x86_64
- ExclusiveArch:  %%{ix86} ppc sparc sparc64 sparcv9 x86_64
* Tue Aug 31 2004 Manfred.Tremmel@iiv.de
- Update to xvid 1.0.2
* Tue Jun  8 2004 Manfred.Tremmel@iiv.de
- Update to xvid 1.0.1
* Mon May 17 2004 Manfred.Tremmel@iiv.de
- Update to xvid 1.0.0
* Mon Apr  5 2004 Manfred.Tremmel@iiv.de
- Update to xvid 1.0.0-rc4
* Fri Mar  5 2004 Manfred.Tremmel@iiv.de
- Update to xvid 1.0.0-rc3
* Fri Feb 13 2004 Manfred.Tremmel@iiv.de
- Update to xvid 1.0.0-rc2
* Wed Jan 28 2004 Manfred.Tremmel@iiv.de
- Update to xvid 1.0.0-rc1
* Sun Dec 28 2003 Manfred.Tremmel@iiv.de
- Update to xvid 1.0.0-beta3
* Sun Dec  7 2003 Manfred.Tremmel@iiv.de
- Update to xvid 1.0.0-beta2
* Mon Dec  1 2003 Manfred.Tremmel@iiv.de
- Update to xvid 1.0.0-beta1
* Sat Aug  9 2003 Manfred.Tremmel@iiv.de
- Update to xvid 0.9.2
* Sat Feb 15 2003 Manfred.Tremmel@iiv.de
- Update to xvid 0.9.1
* Tue Dec 10 2002 illuusio@mailcity.com
- Pitkien keskustelujen jdlkeen pddtimme kirjoittaa implementoinnin paikalle
  toteutus:). Finnish added.
* Sun Dec  1 2002 Manfred.Tremmel@iiv.de
- Update to xvid 0.9.0
* Sat Sep 14 2002 Manfred.Tremmel@iiv.de
- erstes eigene Spec-File implementierung
